Subject: Re: [PATCH net-next v4 2/2] net: dsa: mv88e6xxx: Add devlink param for ATU hash algorithm.

From: Jiri Pirko <[email-masked]>
Date: Sun, 20 Oct 2019 08:02:46 +0200

Sun, Oct 20, 2019 at 07:54:59AM CEST, [email-masked] wrote:
>Sat, Oct 19, 2019 at 11:12:34PM CEST, [email-masked] wrote:
>>> Could you please follow the rest of the existing params?
>>
>>Why are params special? Devlink resources can and do have upper case
>>characters. So we get into inconsistencies within devlink,
>>particularly if there is a link between a parameter and a resources.
>
>Well, only for netdevsim. Spectrum*.c resources follow the same format.
>I believe that the same format should apply on resources as well.
>

Plus reporters, dpipes follow the same format too. I'm going to send
patches to enforce the format there too.

>
>>
>>And i will soon be adding a resource, and it will be upper case, since
>>that is allowed. And it will be related to the ATU.
>>
>>     Andrew
>>
>>